python-pyrad_2.0-3_all.deb


Advertisement

Description

python-pyrad - Python module for creating and decoding RADIUS packets (Python 2)

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-pyrad
Package version: 2.0
Package release: 3
Package architecture: all
Package type: deb
Installed size: 168 B
Download size: 23.83 KB
Official Mirror: archive.ubuntu.com
It takes care of all the details like building RADIUS packets, sending them and decoding responses. This package contains several modules: - client: RADIUS client code - dictionary: RADIUS attribute dictionary - server: Basic RADIUS server and proxy classes. - packet: a RADIUS packet as send to/from servers - tools: utility functions This package contains the module for Python 2.

Alternatives

    Download

    Source package: pyrad

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-pyrad deb package:
      # sudo apt-get install python-pyrad

    Files

    • /usr/lib/python2.7/dist-packages/pyrad/__init__.py
    • /usr/lib/python2.7/dist-packages/pyrad/bidict.py
    • /usr/lib/python2.7/dist-packages/pyrad/client.py
    • /usr/lib/python2.7/dist-packages/pyrad/curved.py
    • /usr/lib/python2.7/dist-packages/pyrad/dictfile.py
    • /usr/lib/python2.7/dist-packages/pyrad/dictionary.py
    • /usr/lib/python2.7/dist-packages/pyrad/host.py
    • /usr/lib/python2.7/dist-packages/pyrad/packet.py
    • /usr/lib/python2.7/dist-packages/pyrad/proxy.py
    • /usr/lib/python2.7/dist-packages/pyrad/server.py
    • /usr/lib/python2.7/dist-packages/pyrad/tools.py
    • /usr/lib/python2.7/dist-packages/pyrad-2.0.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/pyrad-2.0.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/pyrad-2.0.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/pyrad-2.0.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/pyrad-2.0.egg-info/zip-safe
    • /usr/lib/python2.7/dist-packages/pyrad/tests/__init__.py
    • /usr/lib/python2.7/dist-packages/pyrad/tests/mock.py
    • /usr/lib/python2.7/dist-packages/pyrad/tests/testBidict.py
    • /usr/lib/python2.7/dist-packages/pyrad/tests/testClient.py
    • /usr/lib/python2.7/dist-packages/pyrad/tests/testDictionary.py
    • /usr/lib/python2.7/dist-packages/pyrad/tests/testHost.py
    • /usr/lib/python2.7/dist-packages/pyrad/tests/testPacket.py
    • /usr/lib/python2.7/dist-packages/pyrad/tests/testProxy.py
    • /usr/lib/python2.7/dist-packages/pyrad/tests/testServer.py
    • /usr/lib/python2.7/dist-packages/pyrad/tests/testTools.py
    • /usr/share/doc/python-pyrad/changelog.Debian.gz
    • /usr/share/doc/python-pyrad/copyright

    Changelog

    2015-05-26 - Jeremy Lainé <jeremy.laine@m4x.org> pyrad (2.0-3) unstable; urgency=low [ Jeremy Lainé ] * Build both python-pyrad an python3-pyrad packages (Closes: #782931). * Update URL in debian/watch file to use Debian PyPI redirector. * Update Standards-Version to 3.9.6 (no changes). [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields.

    2013-02-16 - Jeremy Lainé <jeremy.laine@m4x.org> pyrad (2.0-2) unstable; urgency=high * Use a better random number generator to prevent predictable password hashing and packet IDs (CVE-2013-0294, Closes: #700669).

    2012-09-07 - Jeremy Lainé <jeremy.laine@m4x.org> pyrad (2.0-1) unstable; urgency=low * New upstream release. * Convert packaging to use debhelper 9 and dh_python2. * Remove Conflicts/Replaces on antique pyrad package. * Update Standards-Version to 3.9.3 (no changes). * Update Homepage to http://pypi.python.org/pypi/pyrad.

    2010-03-19 - Jeremy Lainé <jeremy.laine@m4x.org> pyrad (1.2-1) unstable; urgency=low * New upstream release (Closes: #532843). * Change Build-Depends from python-all-dev to python. * Update Standards-Version to 3.8.4 (no changes).

    2009-05-03 - Jeremy Lainé <jeremy.laine@m4x.org> pyrad (1.1-5) unstable; urgency=low * Update Standards-Version to 3.8.1 (no changes). * Add ${misc:Depends} to dependencies.

    2008-11-20 - Jeremy Lainé <jeremy.laine@m4x.org> pyrad (1.1-4) unstable; urgency=low [ Jeremy Lainé ] * Fix lintian spelling warning (Python vs python). * Update Standards-Version to 3.8.0. [ Jan Dittberner ] * add debian/watch [ Sandro Tosi ] * debian/control - switch Vcs-Browser field to viewsvn

    2008-01-14 - Jeremy Lainé <jeremy.laine@m4x.org> pyrad (1.1-3) unstable; urgency=low * Add Homepage, Vcs-Svn and Vcs-Browser fields to debian/control. * Add Debian Python Modules Team to Uploaders. * Update Standards-Version to 3.7.3.

    2007-11-27 - Jeremy Lainé <jeremy.laine@m4x.org> pyrad (1.1-2) unstable; urgency=low * Add Build-Depends on python-setuptools (Closes: #453229).

    2007-11-18 - Jeremy Lainé <jeremy.laine@m4x.org> pyrad (1.1-1) unstable; urgency=low * New upstream release (Closes: #448126). * Change maintainer to Jeremy Lainé.

    2007-06-30 - Jeremy Lainé <jeremy.laine@m4x.org> pyrad (0.9-0.1) unstable; urgency=low * Non-maintainer upload. * New upstream release (Closes: #420765, #430681).

    Advertisement
    Advertisement